searchData={"items":[{"type":"extras","title":"GRiSP 2 Support","doc":"# GRiSP 2 Support\n\n[![Hex version](https://img.shields.io/hexpm/v/nerves_system_grisp2.svg \"Hex version\")](https://hex.pm/packages/nerves_system_grisp2)\n[![CI](https://github.com/nerves-project/nerves_system_grisp2/actions/workflows/ci.yml/badge.svg)](https://github.com/nerves-project/nerves_system_grisp2/actions/workflows/ci.yml)\n[![REUSE status](https://api.reuse.software/badge/github.com/nerves-project/nerves_system_grisp2)](https://api.reuse.software/info/github.com/nerves-project/nerves_system_grisp2)\n\nThis is the base Nerves System configuration for the [GRiSP\n2](http://grisp.org/).\n\n*This is a work in progress. It may change in backwards incompatible ways and the documentation might be lacking.*\n\nTo do:\n\n- [x] Bring up Ethernet\n- [x] Bring up WiFi\n- [x] Verify RGB LEDs\n- [ ] Verify DIP switches\n- [ ] Enable 1-Wire and test\n- [ ] Verify SPI\n- [x] Verify MicroSD card works\n- [ ] Verify ATECC608B\n- [ ] Verify HW watchdog\n- [x] Add ramoops support\n- [ ] Review GRiSP2 specs to see what else there is to verify\n- [x] Check that `TARGET_GCC_FLAGS` are right\n- [x] Update Linux kernel to 5.10\n- [x] Update Nerves Toolchain 1.5.0 version\n- [x] Implement A/B firmware updates work\n- [x] Create example app that uses GRiSP2. See Circuits Quickstart and Nerves Livebook\n- [x] Review Linux kernel options and compare with other systems\n- [ ] Clean up debug and low hanging items to improve boot time\n- [ ] Clean up changes to GRiSP repositories and send PRs\n- [x] Use GRiSP serial number in hostname\n\n| Feature              | Description                     |\n| -------------------- | ------------------------------- |\n| CPU                  | NXP iMX6ULL, ARM Cortex-A7 @ 696 MHz |\n| Memory               | 512 MB DRAM                     |\n| Storage              | 4 GB eMMC and optional MicroSD  |\n| Linux kernel         | 5.15 w/ Phytec patches          |\n| IEx terminal         | ttymxc0                         |\n| GPIO, I2C, SPI       | Yes - [Elixir Circuits](https://github.com/elixir-circuits) |\n| LEDs                 | Yes - named `red:indicator-1`, etc. in `sys/class/leds` |\n| ADC                  | -                               |\n| PWM                  | -                               |\n| UART                 | ttymxc0-ttymxc5                 |\n| Camera               | None                            |\n| Ethernet             | Yes                             |\n| WiFi                 | Yes - 2.4GHz station mode (no Soft-AP) (R8188EU) |\n| HW Watchdog          | i.MX6 watchdog enabled on boot  |","ref":"readme.html"},{"type":"extras","title":"Using - GRiSP 2 Support","doc":"The most common way of using this Nerves System is create a project with `mix\nnerves.new` and to export `MIX_TARGET=grisp2`. See the [Getting started\nguide](https://hexdocs.pm/nerves/getting-started.html#creating-a-new-nerves-app)\nfor more information.\n\nIf you need custom modifications to this system for your device, clone this\nrepository and update as described in [Making custom\nsystems](https://hexdocs.pm/nerves/systems.html#customizing-your-own-nerves-system)","ref":"readme.html#using"},{"type":"extras","title":"Boot notes - GRiSP 2 Support","doc":"This system isn't ready for general use. If you know how to build a Nerves\nsystem, then it will probably be a little frustrating, but you'll get something\nto boot.\n\n1. Build the system\n2. Create a test Nerves project or try `circuits_quickstart` to use it.\n3. Build the project with `mix firmware`. Then run `mix firmware.image` to get\n   an image file.\n4. gzip the image file and copy to a FAT-formatted MicroSD card.\n6. Connect the GRiSP2's USB port to your computer and open up a terminal session\n   (115200 8N1).\n7. Boot the GRiSP2 and press a key to break into the bootloader.\n8. Run:\n\n    ```\n    uncompress /mnt/mmc/myfirmware.img.gz /dev/mmc1\n    reset\n    ```\n9. Now you should be able to use `mix upload` or `./upload.sh` for subsequent\n   updates. The firmware is set to auto-validate.","ref":"readme.html#boot-notes"},{"type":"extras","title":"Console access - GRiSP 2 Support","doc":"GRISP2 will create two virtual UART ports when plugged in. The second of these will contain a system console where you can interact with BareBox and the Elixir Shell.\nOn Linux, this looks like:\n\n```\n/dev/ttyUSB0\n/dev/ttyUSB1\n```\n\nYou can connect via `picocom` with:\n\n```\npicocom /dev/ttyUSB1 115200\n```\n\n>NOTE: This differs from the Official GRISP2 guide in that we don't need the `--echo` flag.","ref":"readme.html#console-access"},{"type":"extras","title":"PMOD usage - GRiSP 2 Support","doc":"The GRiSP 2 has five PMOD interfaces. GPIO pins should all be accessible. Pins\nfor other functions are configured for those functions:\n\n* UART PMOD - access the UART pins via `ttymcx3`\n* I2C PMOD - access I2C via `i2c-1`\n* SPI1 PMOD - access SPI via `spidev0.0`\n* SPI2 PMOD - access SPI via `spidev0.1`","ref":"readme.html#pmod-usage"},{"type":"extras","title":"Provisioning devices - GRiSP 2 Support","doc":"TODO: The GRiSP 2 includes an ATECC608A so provisioning the board for use with\nNervesHub can be done without setting U-Boot environment variables.","ref":"readme.html#provisioning-devices"},{"type":"extras","title":"Linux versions - GRiSP 2 Support","doc":"*TBD*\n\nWe're currently using PHYTEC's Linux kernel fork from\n[git.phytec.de/linux-mainline](git://git.phytec.de/linux-mainline).","ref":"readme.html#linux-versions"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nThis project does NOT follow semantic versioning. The version increases as\nfollows:\n\n1. Major version updates are breaking updates to the build infrastructure.\n   These should be very rare.\n2. Minor version updates are made for every major Buildroot release. This\n   may also include Erlang/OTP and Linux kernel updates. These are made four\n   times a year shortly after the Buildroot releases.\n3. Patch version updates are made for Buildroot minor releases, Erlang/OTP\n   releases, and Linux kernel updates. They're also made to fix bugs and add\n   features to the build infrastructure.","ref":"changelog.html"},{"type":"extras","title":"v0.15.1 - Changelog","doc":"This is a security/bug fix release.\n\n* Package updates\n  * [Erlang/OTP 27.3.4.1](https://erlang.org/download/OTP-27.3.4.1.README.md)\n  * [Buildroot 2025.02.3 (fixed 2025.02.2)](https://lore.kernel.org/buildroot/49d039c0-8121-4a91-8a69-889376f85c71@rnout.be/T/)\n  * [erlinit 1.14.3](https://github.com/nerves-project/erlinit/releases/tag/v1.14.3)\n  * [fwup 1.13.0](https://github.com/fwup-home/fwup/releases/tag/v1.13.0)","ref":"changelog.html#v0-15-1"},{"type":"extras","title":"v0.15.0 - Changelog","doc":"This is a major Buildroot update.\n\nPlease see the [nerves_system_br v1.31.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.31.0)\nfor additional information if you've forked this system.\n\n* Updated dependencies\n  * [Buildroot 2025.02.1](https://lore.kernel.org/buildroot/60b8483c-b717-41ce-a406-bceb71c3a089@rnout.be/T/)","ref":"changelog.html#v0-15-0"},{"type":"extras","title":"v0.14.1 - Changelog","doc":"This is a security/bug fix update.\n\n* Updated dependencies\n  * [Erlang/OTP 27.3.3](https://erlang.org/download/OTP-27.3.3.README)\n  * [nerves_system_br v1.30.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.30.1)","ref":"changelog.html#v0-14-1"},{"type":"extras","title":"v0.14.0 - Changelog","doc":"This is a major Buildroot update.\n\nPlease see the [nerves_system_br v1.30.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.30.0)\nfor upgrade instructions if you've forked this system.\n\n* Changes\n  * Add REUSE compliance to help improve OSS copyright and licensing accuracy\n\n* Updated dependencies\n  * [Erlang/OTP 27.3](https://erlang.org/download/OTP-27.3.README.md)\n  * [Buildroot 2024.11.2](https://lore.kernel.org/buildroot/87v7t3nyls.fsf@dell.be.48ers.dk/T/)","ref":"changelog.html#v0-14-0"},{"type":"extras","title":"v0.13.1 - Changelog","doc":"This is a security/bug fix update.\n\n* Updated dependencies\n  * [nerves_system_br v1.29.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.29.3)\n  * [Buildroot 2024.08.3](https://lore.kernel.org/buildroot/874j3e17ek.fsf@dell.be.48ers.dk/T/)\n  * [Erlang/OTP 27.2](https://erlang.org/download/OTP-27.2.README)\n  * [fwup v1.12.0](https://github.com/fwup-home/fwup/releases/tag/v1.12.0)","ref":"changelog.html#v0-13-1"},{"type":"extras","title":"v0.13.0 - Changelog","doc":"This is a major Erlang and Buildroot update.\n\nPlease see the [nerves_system_br v1.29.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.29.0)\nfor upgrade instructions if you've forked this system.\n\n* Changes\n  * Applied and enabled the Real-Time Linux patch set, PREEMPT_RT. Please see\n    write-ups on the web for benefits and how to use. The impact of this patch\n    shouldn't be noticeable to most Nerves users.\n  * Switch CPU frequency governor from conservative to the more modern\n    schedutil. See [LWN article](https://lwn.net/Articles/682391/) for details.\n\n* Updated dependencies\n  * [nerves_system_br v1.29.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.29.1)\n  * [Buildroot 2024.08.2](https://lore.kernel.org/buildroot/871pzex7gn.fsf@dell.be.48ers.dk/T/)","ref":"changelog.html#v0-13-0"},{"type":"extras","title":"v0.12.1 - Changelog","doc":"This is a security/bug fix update.\n\n* Updated dependencies\n  * [nerves_system_br v1.28.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.28.3)\n  * [Buildroot 2024.05.2](https://lore.kernel.org/buildroot/87zfpfh147.fsf@dell.be.48ers.dk/T/)\n  * [Erlang/OTP 27.0.1](https://erlang.org/download/OTP-27.0.1.README)","ref":"changelog.html#v0-12-1"},{"type":"extras","title":"v0.12.0 - Changelog","doc":"This is a major Erlang and Buildroot.\n\nPlease see the [nerves_system_br v1.28.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.28.0)\nfor upgrade instructions if you've forked this system.\n\n* Changes\n  * Elixir 1.17 and Erlang/OTP 27 support\n  * Reduce copy/pasted definitions in the `fwup.conf` by extracting them to\n    `fwup_include/fwup-common.conf`. (No functional changes)\n\n* Fixes\n  * The serial numbers returned by `Nerves.Runtime.serial_number/0` now contain\n    the whole serial number. If you forked this system, check the\n    `boardid.config` and `erlinit.config` for the changes and to keep the\n    hostname the same.\n\n* Updated dependencies\n  * [nerves_system_br v1.28.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.28.1)\n  * [Buildroot 2024.05](https://lore.kernel.org/buildroot/87bk46tjk2.fsf@dell.be.48ers.dk/T/)\n  * [Erlang/OTP 27.0](https://erlang.org/download/OTP-27.0.README)","ref":"changelog.html#v0-12-0"},{"type":"extras","title":"v0.11.1 - Changelog","doc":"This is a security/bug fix update.\n\n* Changes\n  * Enable the `wpa_supplicant` option for allow wired 802.1x authentication\n\n* Package updates\n  * [Erlang/OTP 26.2.5](https://erlang.org/download/OTP-26.2.5.README)\n  * [Buildroot 2024.02.1](https://lore.kernel.org/buildroot/87jzlp9u5e.fsf@48ers.dk/T/)","ref":"changelog.html#v0-11-1"},{"type":"extras","title":"v0.11.0 - Changelog","doc":"This is a major Buildroot update.\n\nPlease see the [nerves_system_br v1.27.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.26.0)\nfor upgrade instructions if you've forked this system.\n\n* Changes\n  * Enabled WPA3 support in `wpa_supplicant`. WPA3 won't work, but specifying it\n    in a configuration won't crash the supplicant.\n\n* Updated dependencies\n  * Linux 6.1.73 (Raspberry Pi 20240124 release)\n  * [nerves_system_br v1.27.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.27.0)\n  * [Buildroot 2024.02](https://lore.kernel.org/buildroot/87msrczp4z.fsf@48ers.dk/)\n  * [Erlang/OTP 26.2.3](https://erlang.org/download/OTP-26.2.3.README)","ref":"changelog.html#v0-11-0"},{"type":"extras","title":"v0.10.0 - Changelog","doc":"This is a major Buildroot update.\n\nPlease see the [nerves_system_br v1.26.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.26.0)\nfor upgrade instructions if you've forked this system.\n\n* Updated dependencies\n  * [Erlang/OTP 26.2.2](https://erlang.org/download/OTP-26.2.2.README)\n  * [nerves_system_br v1.26.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.26.1)\n  * [Buildroot 2023.11.1](https://lore.kernel.org/buildroot/87cyu2k2gu.fsf@48ers.dk/T/)","ref":"changelog.html#v0-10-0"},{"type":"extras","title":"v0.9.1 - Changelog","doc":"This is a security/bug fix update.\n\n*  Package updates\n  * [Erlang/OTP 26.2.1](https://erlang.org/download/OTP-26.2.1.README)\n  * [nerves_heart 2.3.0](https://github.com/nerves-project/nerves_heart/releases/tag/v2.3.0)","ref":"changelog.html#v0-9-1"},{"type":"extras","title":"v0.9.0 - Changelog","doc":"This is a major Buildroot and toolchain update.\n\nPlease see [nerves_system_br v1.25.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.25.0)\nfor upgrade instructions if you've forked this system.\n\n* Updated dependencies\n  * [nerves_system_br v1.25.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.25.2)\n  * [Buildroot 2023.08.4](https://lore.kernel.org/buildroot/87o7f6t7fs.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.1.2](https://erlang.org/download/OTP-26.1.2.README)","ref":"changelog.html#v0-9-0"},{"type":"extras","title":"v0.8.1 - Changelog","doc":"This is a security/bug fix update.\n\n* Package updates\n  * [nerves_system_br v1.24.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.24.1)\n  * [Erlang/OTP 26.1.1](https://erlang.org/download/OTP-26.1.1.README)\n  * [Buildroot 2023.05.3](https://lore.kernel.org/buildroot/87h6ngup34.fsf@48ers.dk/T/)","ref":"changelog.html#v0-8-1"},{"type":"extras","title":"v0.8.0 - Changelog","doc":"This is a Buildroot version update that appears to mostly contain bug and\nsecurity fixes. It should be a low risk upgrade from v0.7.3.\n\n* Updated dependencies\n  * [nerves_system_br v1.24.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.24.0)\n  * [Buildroot 2023.05.2](https://lore.kernel.org/buildroot/87ledrkrpp.fsf@48ers.dk/T/), [2023.05.1](https://lore.kernel.org/buildroot/87351m8qm4.fsf@48ers.dk/T/), [2023.05](https://lore.kernel.org/buildroot/87r0qn2c77.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.1](https://erlang.org/download/OTP-26.1.README)","ref":"changelog.html#v0-8-0"},{"type":"extras","title":"v0.7.3 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.23.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.3)","ref":"changelog.html#v0-7-3"},{"type":"extras","title":"v0.7.2 - Changelog","doc":"This is a bug and security fix update. It should be a low risk upgrade.\n\n* Fixes\n  * Fix CTRL+R over ssh\n\n* Updated dependencies\n  * [nerves_system_br v1.23.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.2)\n  * [Buildroot 2023.02.2](https://lore.kernel.org/buildroot/87y1je6wva.fsf@48ers.dk/T/)","ref":"changelog.html#v0-7-2"},{"type":"extras","title":"v0.7.1 - Changelog","doc":"This release enables UART, I2C, and SPI support on the PMOD interfaces. See\n`README.md` for device names.\n\n* Updated dependencies\n  * Linux 5.15.102 + Phytec patches","ref":"changelog.html#v0-7-1"},{"type":"extras","title":"v0.7.0 - Changelog","doc":"This is a major update that brings in Erlang/OTP 26 and Buildroot 2023.02.2.\n\n* New features\n  * CA certificates are included for OTP 26.\n\n* Updated dependencies\n  * [nerves_system_br v1.23.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.1)\n  * [Buildroot 2023.02.2](https://lore.kernel.org/buildroot/87wn03ifbl.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.0.2](https://erlang.org/download/OTP-26.0.2.README)","ref":"changelog.html#v0-7-0"},{"type":"extras","title":"v0.6.2 - Changelog","doc":"This is a bug and security fix update. It should be a low risk upgrade.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.5)\n  * [Buildroot 2022.11.3](https://lore.kernel.org/buildroot/878rfuxbxx.fsf@dell.be.48ers.dk/T/)","ref":"changelog.html#v0-6-2"},{"type":"extras","title":"v0.6.1 - Changelog","doc":"This is a bug fix and Erlang version bump from 25.2 to 25.2.3. It should be a\nlow risk upgrade from v0.6.0.\n\n* Fixes\n  * Set Erlang crash dump timer to 5 seconds, so if an Erlang crash dump does\n    happen, it will run for at most 5 seconds. See erlinit.conf.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.3)\n  * [Buildroot 2022.11.1](https://lore.kernel.org/buildroot/87ilh4dvax.fsf@dell.be.48ers.dk/T/#u)","ref":"changelog.html#v0-6-1"},{"type":"extras","title":"v0.6.0 - Changelog","doc":"This is a Buildroot version update that appears to mostly contain bug and\nsecurity fixes.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.1)\n  * [Buildroot 2022.11](http://lists.busybox.net/pipermail/buildroot/2022-December/656980.html)\n  * GCC 12.2","ref":"changelog.html#v0-6-0"},{"type":"extras","title":"v0.5.2 - Changelog","doc":"* Changes\n  * Two Buildroot patch updates and an Erlang minor version update\n  * Nerves Heart v2.0 is now included. Nerves Heart connects the Erlang runtime\n    to a hardware watchdog. v2.0 has numerous updates to improve information\n    that you can get and also has more safeguards to avoid conditions that could\n    cause a device to hang forever.\n\n* Updated dependencies\n  * [nerves_system_br v1.21.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.6)\n  * [Erlang/OTP 25.2](https://erlang.org/download/OTP-25.2.README)\n  * [Buildroot 2022.08.3](https://lore.kernel.org/buildroot/87r0x7z5cw.fsf@dell.be.48ers.dk/T/#u)\n  * [nerves_heart v2.0.2](https://github.com/nerves-project/nerves_heart/releases/tag/v2.0.2)","ref":"changelog.html#v0-5-2"},{"type":"extras","title":"v0.5.1 - Changelog","doc":"* Changes\n  * Reduce first-time Linux kernel download by using tarball source\n\n* Updated dependencies\n  * [nerves_system_br v1.21.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.2)\n  * [Erlang/OTP 25.1.2](https://erlang.org/download/OTP-25.1.2.README)","ref":"changelog.html#v0-5-1"},{"type":"extras","title":"v0.5.0 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.21.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.1)\n    and also see [nerves_system_br v1.21.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.0)\n  * [Buildroot 2022.08.1](http://lists.busybox.net/pipermail/buildroot/2022-October/652816.html)\n  * [Erlang/OTP 25.1.1](https://erlang.org/download/OTP-25.1.1.README)","ref":"changelog.html#v0-5-0"},{"type":"extras","title":"v0.4.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.20.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.6)\n  * [Erlang/OTP 25.0.4](https://erlang.org/download/OTP-25.0.4.README)\n  * [Buildroot 2022.05.2](http://lists.busybox.net/pipermail/buildroot/2022-August/650546.html)\n  * Also see [Buildroot 2022.05.1 changes](http://lists.busybox.net/pipermail/buildroot/2022-July/647814.html)","ref":"changelog.html#v0-4-2"},{"type":"extras","title":"v0.4.1 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.20.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.4)\n  * [Erlang/OTP 25.0.3](https://erlang.org/download/OTP-25.0.3.README)","ref":"changelog.html#v0-4-1"},{"type":"extras","title":"v0.4.0 - Changelog","doc":"This release updates to Buildroot 2022.05 and uses GCC 11.3 (from GCC 10.3).\n\n* Updated dependencies\n  * [nerves_system_br v1.20.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.3)\n  * [Buildroot 2022.05](http://lists.busybox.net/pipermail/buildroot/2022-June/644349.html)\n  * [Erlang/OTP 25.0.2](https://erlang.org/download/OTP-25.0.2.README)","ref":"changelog.html#v0-4-0"},{"type":"extras","title":"v0.3.0 - Changelog","doc":"This release updates to Buildroot 2022.02.1 and OTP 25.0. While this should be\nan easy update for most projects, many programs have been updated. Please review\nthe changes in the updated dependencies for details.\n\n* Updated dependencies\n  * [nerves_system_br v1.19.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.19.0)\n  * [Buildroot 2022.02.1](http://lists.busybox.net/pipermail/buildroot/2022-April/640712.html). Also see [Buildroot 2022.02](http://lists.busybox.net/pipermail/buildroot/2022-March/638160.html)\n  * [Erlang/OTP 25.0](https://erlang.org/download/OTP-25.0.README)","ref":"changelog.html#v0-3-0"},{"type":"extras","title":"v0.2.3 - Changelog","doc":"This release bumps Erlang to 24.3.2 and should be a low risk upgrade from the\nprevious release.\n\n* Changes\n  * Pull in upstream Linux SquashFS patch to improve file system performance\n  * Switch back to using kernel modules for WiFi drivers to avoid needing to\n    build regulatory information into the kernel.\n\n* Updated dependencies\n  * [nerves_system_br v1.18.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.6)","ref":"changelog.html#v0-2-3"},{"type":"extras","title":"v0.2.2 - Changelog","doc":"* Changes\n  * Enable the `ramoops` driver to capture log messages right before an\n    unexpected reboot.\n  * Turn off unused kernel options and adjust for faster boot times and smaller\n    images.","ref":"changelog.html#v0-2-2"},{"type":"extras","title":"v0.2.1 - Changelog","doc":"This release has various Linux device tree and option updates to bootup warnings\nand allow more hardware to be accessed in Elixir.\n\n* Changes\n  * Use the serial number printed on the GRiSP board\n\n* Updated dependencies\n  * [nerves_system_br v1.18.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.5)","ref":"changelog.html#v0-2-1"},{"type":"extras","title":"v0.2.0 - Changelog","doc":"This is a very early port to the GRiSP2. It runs off eMMC, supports A/B firmware\nupdates like other Nerves devices, and basics like WiFi look like they work.\n\n* Dependencies\n  * [nerves_system_br v1.18.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.4)\n  * Erlang 24.2.1\n  * Linux 5.10.76 with PHYTEC kernel patches","ref":"changelog.html#v0-2-0"},{"type":"extras","title":"v0.1.0 - Changelog","doc":"* Dependencies\n  * [nerves_system_br v1.7.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.7.1)\n  * Erlang 21.2.7\n  * Linux 4.14.93 with PHYTEC kernel patches","ref":"changelog.html#v0-1-0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}